Public event landing page data
curl --request GET \
--url https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}import requests
url = "https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"logo": "<string>"
},
"brandkit": {
"logos": {
"primary": "<string>",
"negative": "<string>"
},
"colors": {
"primary": "<string>",
"accent": "<string>",
"secondary": "<string>",
"background": "<string>",
"text": "<string>",
"textMuted": "<string>",
"link": "<string>",
"onPrimary": "<string>",
"success": "<string>",
"warning": "<string>",
"error": "<string>"
},
"appearance": "light",
"radius": "rounded",
"font": "<string>",
"headingFont": "<string>",
"codeFont": "<string>"
},
"event": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"shortDescription": "<string>",
"description": "<string>",
"type": "PHYSICAL",
"visibility": "PUBLIC",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"approvalRequired": true,
"waitlistEnabled": true,
"isAtCapacity": true,
"timezone": "<string>",
"location": {
"location": "<string>",
"fullAddress": "<string>"
},
"seo": {
"title": "<string>",
"description": "<string>",
"ogTitle": "<string>",
"ogDescription": "<string>",
"showInSearchEngines": true,
"customOgImageUrl": "<string>"
}
},
"agenda": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"type": "SESSION",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"location": "<string>",
"sortOrder": 123,
"speakers": [
{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"company": "<string>",
"avatar": "<string>",
"sortOrder": 123
}
]
}
],
"sections": [
{
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"itemKind": "people",
"presentation": "grid",
"groups": [
{
"id": "<string>",
"label": "<string>",
"items": [
{
"kind": "person",
"id": "<string>",
"name": "<string>",
"title": "<string>",
"company": "<string>",
"bio": "<string>",
"avatar": "<string>",
"socialProfiles": {
"linkedin": "<string>",
"twitter": "<string>",
"bluesky": "<string>"
},
"sortOrder": 123
}
]
}
],
"items": [
{
"kind": "person",
"id": "<string>",
"name": "<string>",
"title": "<string>",
"company": "<string>",
"bio": "<string>",
"avatar": "<string>",
"socialProfiles": {
"linkedin": "<string>",
"twitter": "<string>",
"bluesky": "<string>"
},
"sortOrder": 123
}
]
}
],
"speakers": [
{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"company": "<string>",
"bio": "<string>",
"avatar": "<string>",
"socialProfiles": {
"linkedin": "<string>",
"twitter": "<string>",
"bluesky": "<string>"
}
}
],
"sponsors": [
{
"id": "<string>",
"name": "<string>",
"website": "<string>",
"logo": "<string>",
"tierName": "<string>",
"sortOrder": 123
}
],
"registration": {
"provider": "eventlink",
"formId": "<string>",
"name": "<string>",
"formSchema": {
"components": [
{
"type": "textfield",
"key": "<string>",
"label": "<string>",
"input": true,
"placeholder": "<string>",
"description": "<string>",
"required": true,
"value": "<string>",
"countryCode": "<string>",
"data": {
"values": [
{
"label": "<string>",
"value": "<string>"
}
]
},
"values": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"fieldMappings": [
{
"formField": "<string>",
"externalSystem": "hubspot",
"externalField": "<string>"
}
],
"submitButtonLabel": "<string>",
"submitConfig": {
"type": "message",
"message": "<string>",
"redirectUrl": "<string>"
},
"hubspotSync": {
"listEnabled": true,
"listId": "<string>",
"listName": "<string>"
},
"salesforceSync": {
"campaignEnabled": true,
"campaignId": "<string>",
"campaignName": "<string>",
"campaignMemberStatus": "<string>"
}
},
"hubspotPortalId": "<string>",
"hubspotRegion": "<string>"
},
"geoTargeting": [
{
"country": "<string>",
"redirectUrl": "<string>"
}
]
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Events
Public event landing page data
Returns organization brandkit, event details, agenda, and event showcases (sections of people/logos) for a published PUBLIC event. DRAFT events are readable when previewToken matches the event preview secret (v0 sandbox). Deprecated speakers / sponsors flatten all people / logos sections for compat; prefer sections.
GET
/
api
/
v1
/
public
/
orgs
/
{orgSlug}
/
events
/
{eventSlug}
Public event landing page data
curl --request GET \
--url https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}import requests
url = "https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eventlink.co/api/v1/public/orgs/{orgSlug}/events/{eventSlug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"logo": "<string>"
},
"brandkit": {
"logos": {
"primary": "<string>",
"negative": "<string>"
},
"colors": {
"primary": "<string>",
"accent": "<string>",
"secondary": "<string>",
"background": "<string>",
"text": "<string>",
"textMuted": "<string>",
"link": "<string>",
"onPrimary": "<string>",
"success": "<string>",
"warning": "<string>",
"error": "<string>"
},
"appearance": "light",
"radius": "rounded",
"font": "<string>",
"headingFont": "<string>",
"codeFont": "<string>"
},
"event": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"shortDescription": "<string>",
"description": "<string>",
"type": "PHYSICAL",
"visibility": "PUBLIC",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"approvalRequired": true,
"waitlistEnabled": true,
"isAtCapacity": true,
"timezone": "<string>",
"location": {
"location": "<string>",
"fullAddress": "<string>"
},
"seo": {
"title": "<string>",
"description": "<string>",
"ogTitle": "<string>",
"ogDescription": "<string>",
"showInSearchEngines": true,
"customOgImageUrl": "<string>"
}
},
"agenda": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"type": "SESSION",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"location": "<string>",
"sortOrder": 123,
"speakers": [
{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"company": "<string>",
"avatar": "<string>",
"sortOrder": 123
}
]
}
],
"sections": [
{
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"itemKind": "people",
"presentation": "grid",
"groups": [
{
"id": "<string>",
"label": "<string>",
"items": [
{
"kind": "person",
"id": "<string>",
"name": "<string>",
"title": "<string>",
"company": "<string>",
"bio": "<string>",
"avatar": "<string>",
"socialProfiles": {
"linkedin": "<string>",
"twitter": "<string>",
"bluesky": "<string>"
},
"sortOrder": 123
}
]
}
],
"items": [
{
"kind": "person",
"id": "<string>",
"name": "<string>",
"title": "<string>",
"company": "<string>",
"bio": "<string>",
"avatar": "<string>",
"socialProfiles": {
"linkedin": "<string>",
"twitter": "<string>",
"bluesky": "<string>"
},
"sortOrder": 123
}
]
}
],
"speakers": [
{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"company": "<string>",
"bio": "<string>",
"avatar": "<string>",
"socialProfiles": {
"linkedin": "<string>",
"twitter": "<string>",
"bluesky": "<string>"
}
}
],
"sponsors": [
{
"id": "<string>",
"name": "<string>",
"website": "<string>",
"logo": "<string>",
"tierName": "<string>",
"sortOrder": 123
}
],
"registration": {
"provider": "eventlink",
"formId": "<string>",
"name": "<string>",
"formSchema": {
"components": [
{
"type": "textfield",
"key": "<string>",
"label": "<string>",
"input": true,
"placeholder": "<string>",
"description": "<string>",
"required": true,
"value": "<string>",
"countryCode": "<string>",
"data": {
"values": [
{
"label": "<string>",
"value": "<string>"
}
]
},
"values": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"fieldMappings": [
{
"formField": "<string>",
"externalSystem": "hubspot",
"externalField": "<string>"
}
],
"submitButtonLabel": "<string>",
"submitConfig": {
"type": "message",
"message": "<string>",
"redirectUrl": "<string>"
},
"hubspotSync": {
"listEnabled": true,
"listId": "<string>",
"listName": "<string>"
},
"salesforceSync": {
"campaignEnabled": true,
"campaignId": "<string>",
"campaignName": "<string>",
"campaignMemberStatus": "<string>"
}
},
"hubspotPortalId": "<string>",
"hubspotRegion": "<string>"
},
"geoTargeting": [
{
"country": "<string>",
"redirectUrl": "<string>"
}
]
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Path Parameters
Query Parameters
Response
Public event page payload